Package org.eclipse.emf.cdo.common.admin

## Interface CDOAdmin

- All Superinterfaces:
    `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.container.IContainer<CDOAdminRepository>`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `CDOAdminClient`
  All Known Implementing Classes:
    `AbstractCDOAdmin`

      public interface CDOAdmin
      extends org.eclipse.net4j.util.container.IContainer<CDOAdminRepository>, org.eclipse.net4j.util.collection.Closeable

  An administrative interface to a remote server with CDO `repositories`.
  Since:
    4.1
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_TYPE` | The default admin-handler type, which is guaranteed to exist on the server.
    `static java.lang.String` | `PROPERTY_SECURITY_HOME_FOLDERS` | The name of the boolean property that indicates whether to configure the default security manager with support for user home folders.
    `static java.lang.String` | `PROPERTY_SECURITY_MANAGER` | The name of the boolean property that indicates whether to configure the default security manager in a repository to be created.
    `static java.lang.String` | `PROPERTY_STORE_XML_CONFIG` | The name of the property that provides the XML configuration string for the store of a repository to be created.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOAdminRepository` | `createRepository​(java.lang.String name, java.lang.String type, java.util.Map<java.lang.String,​java.lang.Object> properties)` | Creates a new remote `repository` and returns its administrative interface.
    `CDOAdminRepository[]` | `getRepositories()` |
    `CDOAdminRepository` | `getRepository​(java.lang.String name)` |
    `CDOAdminRepository` | `waitForRepository​(java.lang.String name)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### DEFAULT_TYPE

          static final java.lang.String DEFAULT_TYPE

      The default admin-handler type, which is guaranteed to exist on the server.
      Since:
        4.3
      See Also:
        Constant Field Values

    - #### PROPERTY_SECURITY_MANAGER

          static final java.lang.String PROPERTY_SECURITY_MANAGER

      The name of the boolean property that indicates whether to configure the default security manager in a repository to be created.
      Since:
        4.3
      See Also:
        Constant Field Values

    - #### PROPERTY_SECURITY_HOME_FOLDERS

          static final java.lang.String PROPERTY_SECURITY_HOME_FOLDERS

      The name of the boolean property that indicates whether to configure the default security manager with support for user home folders.
      Since:
        4.3
      See Also:
        Constant Field Values

    - #### PROPERTY_STORE_XML_CONFIG

          static final java.lang.String PROPERTY_STORE_XML_CONFIG

      The name of the property that provides the XML configuration string for the store of a repository to be created.
      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRepositories

          CDOAdminRepository[] getRepositories()

    - #### getRepository

          CDOAdminRepository getRepository​(java.lang.String name)

    - #### createRepository

          CDOAdminRepository createRepository​(java.lang.String name,
                                              java.lang.String type,
                                              java.util.Map<java.lang.String,​java.lang.Object> properties)

      Creates a new remote `repository` and returns its administrative interface.

      On the server-side the creation is delegated to an instance of `org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler` that is registered with the server's `container` under the given `type` argument. The `name` and `properties` arguments are passed on to the registered handler.

    - #### waitForRepository

          CDOAdminRepository waitForRepository​(java.lang.String name)